/// <reference types="react" />
import { SupersededBy } from './src/itemProps/SupersededBy';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { Url } from './src/itemProps/Url';
import { AlternateName } from './src/itemProps/AlternateName';
import { SameAs } from './src/itemProps/SameAs';
import { Description } from './src/itemProps/Description';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { Identifier } from './src/itemProps/Identifier';
import { Image } from './src/itemProps/Image';
import { Name } from './src/itemProps/Name';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { GamePlayMode } from './src/GamePlayMode';
export { GamePlayMode, SupersededBy, PotentialAction, MainEntityOfPage, SubjectOf, Url, AlternateName, SameAs, Description, DisambiguatingDescription, Identifier, Image, Name, AdditionalType };
declare const _default: {
    GamePlayMode: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }>;
    SupersededBy: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Property: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
        Class: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
        Enumeration: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    PotentialAction: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Action: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    MainEntityOfPage: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        CreativeWork: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
        URL: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    SubjectOf: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Event: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
        CreativeWork: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    Url: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        URL: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    AlternateName: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Text: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    SameAs: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        URL: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    Description: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Text: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    DisambiguatingDescription: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Text: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    Identifier: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        PropertyValue: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
        URL: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    Image: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        URL: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
        ImageObject: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    Name: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        Text: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
    AdditionalType: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
        as?: string | undefined;
    }> & {
        URL: import("react").FunctionComponent<import("react").HTMLProps<import("react").HTMLAttributes<any>> & {
            as?: string | undefined;
        }>;
    };
};
export default _default;
